# Get a risk profile

### URL

<mark style="color:blue;">**GET**</mark> `https://api.complycube.com/v1/clients/:id/riskProfile`

Retrieves the risk profile for the specified client.

### Headers

<table><thead><tr><th width="287">Name</th><th width="112">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="288">Name</th><th width="109">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the client.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET https://api.complycube.com/v1/clients/{:clientId}/riskProfile \
     -H 'Authorization: <YOUR_API_KEY>' 
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const riskProfile = await complycube.riskProfile.get("CLIENT_ID");
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

cc_api.riskprofiles.get('CLIENT_ID')
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$profiles = $ccapi->riskProfiles()->get('CLIENT_ID');
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.RiskProfiles;

var riskProfileApi = new RiskProfileApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var docChecks = await riskProfileApi.GetAsync("CLIENT_ID");
```

{% endtab %}
{% endtabs %}

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```javascript
{
  "overall": "low",
  "countryRisk": {
    "risk": "low",
    "country": "GB",
    "breakdown": [
      {
        "source": "Federal Bureau of Investigation (FBI)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "FinCEN",
        "normalisedRiskScore": "medium"
      },
      {
        "source": "Financial Action Task Force (FATF)",
        "normalisedRiskScore": "medium"
      },
      {
        "source": "Organisation for Economic Co-operation and Development (OECD)",
        "normalisedRiskScore": "medium"
      },
      {
        "source": "HM Treasury (HMT)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Central Intelligence Agency (CIA)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "US Department of State (US DOS)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Transparency International",
        "normalisedRiskScore": "low"
      },
      {
        "source": "World Bank Group",
        "normalisedRiskScore": "low"
      },
      {
        "source": "United Nations(UN)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Heritage Foundation - Index of Economic Freedom (IEF)",
        "normalisedRiskScore": "low"
      },
      {
        "source": "Basel AML Index (BAI)",
        "normalisedRiskScore": "low"
      }
    ]
  },
  "politicalExposureRisk": {
    "risk": "not_set"
  },
  "occupationRisk": {
    "risk": "not_set"
  },
  "watchlistRisk": {
    "risk": "not_set"
  },
  "updatedAt": "2020-01-01T14:06:91.913Z"
}
```

{% endtab %}

{% tab title="Resource Not Found (404)" %}

```javascript
{
    "type": "resource_not_found",
    "message": "Invalid client id '5eb04fcd0f3e360008035eb2'"
}
```

{% endtab %}
{% endtabs %}
